//bootstap时间插件
$('.date').datepicker({
    language: "zh-CN",
    format: "yyyy-mm-dd",
    autoclose: true//选中之后自动隐藏日期选择框
})
function initDateInput(idVal){
    $('#startTime'+idVal).datepicker({
        language: "zh-CN",
        format: "yyyy-mm-dd",
        autoclose: true//选中之后自动隐藏日期选择框
    }).on('changeDate',function(){
        $("#beginTime-error").hide();
        var startTime= $("#startTime"+idVal).val();
        $("#endTime"+idVal).datepicker('setStartDate',startTime);
        $("#startTime"+idVal).datepicker('hide');
    });

    $('#endTime'+idVal).datepicker({
        language: "zh-CN",
        format: "yyyy-mm-dd",
        autoclose: true//选中之后自动隐藏日期选择框
    }).on('changeDate',function(){
        var startTime = $("#startTime"+idVal).val();
        var endtime = $("#endTime"+idVal).val();
        $("#startTime"+idVal).datepicker('setEndDate',endtime);
        $("#endTime"+idVal).datepicker('hide');
    });
}
/**
 * 根据两个日期，判断相差天数
 * @param sDate1 开始日期 如：2016-11-01
 * @param sDate2 结束日期 如：2016-11-02
 * @returns {number} 返回相差天数
 */
function daysBetween(sDate1,sDate2){
    var time1 = Date.parse(new Date(sDate1));
    var time2 = Date.parse(new Date(sDate2));
    var nDays = Math.abs(parseInt((time2 - time1)/1000/3600/24));
    return  nDays;
};
//计算前几天后几天的日期，负数为前，正数为后
function showTime(days){
    var endDate = new Date();
    endDate.setTime(endDate.getTime()+days*24*60*60*1000);
    year = endDate.getFullYear();
    month = endDate.getMonth() + 1;
    strDate = endDate.getDate();
    if (month >= 1 && month <= 9) {
        month = "0" + month;
    }
    if (strDate >= 0 && strDate <= 9) {
        strDate = "0" + strDate;
    }
    var eDate = year + "-" + month + "-" + strDate;
    return eDate;
}